import { COOKIE_OPTIONS, TOKEN_REFRESH_MARGIN } from "@supabase/auth-helpers-shared";
import { handleCallback } from "./callback.js";
import { handleLogout } from "./logout.js";
import { handleUser } from "./user.js";
export const handleAuth = (options = {}) => {
    const { logout } = options;
    const cookieOptions = { ...COOKIE_OPTIONS, ...options.cookieOptions };
    const tokenRefreshMargin = options.tokenRefreshMargin ?? TOKEN_REFRESH_MARGIN;
    return [
        handleCallback({ cookieOptions }),
        handleUser({ cookieOptions, tokenRefreshMargin }),
        handleLogout({ cookieOptions, ...logout })
    ];
};
